nvme_read_key(2)

NAME
nvme_read_key - Read key raw data

SYNOPSIS
unsigned char * nvme_read_key (long keyring_id , long key_id , int *len );

ARGUMENTS

keyring_id
    Id of the keyring holding key_id

key_id
    Key id

len Length of the returned data

DESCRIPTION
Links the keyring specified by keyring_id into the session keyring and reads the payload of the key specified by key_id. len holds the size of the returned buffer. If keyring is 0 the default keyring '.nvme' is used.

RETURN
Pointer to the payload on success, or NULL with errno set otherwise.